DocsOIntelREST API
Developer

REST API

OIntelorravo.com/docs/ointel/rest-api

Base namespace: ointel/v1

GET /wp-json/ointel/v1/health-score

Returns the health score from the most recent scan.

Authentication: manage_options capability required (or public if Allow public REST is enabled in Settings)

Response:

json{
  "score": 87,
  "grade": "B",
  "critical": 0,
  "warning": 3,
  "scanned": "2026-04-25 09:14:00"
}

GET /wp-json/ointel/v1/checks

Returns all check results from the last scan.

Query params:

  • status — filter by critical, warning, info, or ok

Response:

json{
  "checks": [
    {
      "id": "ssl",
      "category": "Environment",
      "label": "HTTPS / SSL",
      "status": "ok",
      "message": "HTTPS active",
      "detail": "Site is served over HTTPS.",
      "score_impact": 0
    }
  ],
  "total": 28
}

GET /wp-json/ointel/v1/snapshots

Returns snapshot history.

Query params:

  • limit — max results (default: 10, max: 50)

POST /wp-json/ointel/v1/scan

Triggers a fresh scan. Requires manage_options capability.

Response:

json{
  "scan_id": 42,
  "score": 87,
  "critical": 0,
  "warning": 3,
  "duration": 1240,
  "checks": 28
}

REST API — OIntel Docs — Orravo